Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfTextEmphasizeType

    java.lang.Object
      java.lang.Enum<OdfTextEmphasizeType>
          org.odftoolkit.odfdom.dom.type.style.OdfTextEmphasizeType

All Implemented Interfaces:
  Serializable, Comparable<OdfTextEmphasizeType>

    public enum OdfTextEmphasizeType

extends Enum<OdfTextEmphasizeType>

DOM implementation of OpenDocument attribute style:text-emphasize.

Enum Constant Summary
`ABOVE`
`ACCENT`
`BELOW`
`CIRCLE`
`DISC`
`DOT`
`NONE`

Method Summary
`static OdfTextEmphasizeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfTextEmphasizeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfTextEmphasizeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfTextEmphasizeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISC

    public static final OdfTextEmphasizeType DISC

### DOT

    public static final OdfTextEmphasizeType DOT

### CIRCLE

    public static final OdfTextEmphasizeType CIRCLE

### ACCENT

    public static final OdfTextEmphasizeType ACCENT

### ABOVE

    public static final OdfTextEmphasizeType ABOVE

### NONE

    public static final OdfTextEmphasizeType NONE

### BELOW

    public static final OdfTextEmphasizeType BELOW

Method Detail

### values

    public static OdfTextEmphasizeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfTextEmphasizeType c : OdfTextEmphasizeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfTextEmphasizeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfTextEmphasizeType>`
  Returns:
    return the name of OdfTextEmphasizeType

### toString

    public static String toString(OdfTextEmphasizeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfTextEmphasizeType, see style:text-emphasize
  Returns:
    return the name of OdfTextEmphasizeType

### enumValueOf

    public static OdfTextEmphasizeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfTextEmphasizeType
  Returns:
    return the constant of OdfTextEmphasizeType, see style:text-emphasize

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.